/* Les fichiers d'en-tte */

#include <LPC43xx.h>                    
#include "LED.h"
#include "KBD.h"
#include "GLCD.h"
#include "I2C.h"
#include "TH_LM75.h"
#include <stdio.h>
#include <math.h>
#include <stdlib.h>

#define Font1       1                       
#define Font0       0  	

#define STRINGBUF_LEN   21
char StringBuf[STRINGBUF_LEN];

/*** Prototypes des fonctions ***/

void configuration_lm75(char);
int  acquisition_temperature(void);
void DisplayTemp(void);

/*** Fonction principal ***/
int main(void)
{


    I2C_Init();              
    TH_Init();  
		GLCD_Init();
	
		GLCD_Clear (White);
    GLCD_SetBackColor  (Blue);
    GLCD_SetTextColor  (White);
    GLCD_DisplayString (0, 0, 1, "    Project      ");
    GLCD_DisplayString (1, 0, 1, "  Electronics    ");
    GLCD_SetBackColor  (White);
    GLCD_SetTextColor  (Blue);
    
    

    while(1)
    {
						configuration_lm75(0x00);    
						
						DisplayTemp();
			
						configuration_lm75(0x01);      
        
  
        
    }
}
/* Ecriture des donnes dans le registre de configuration du LM75 */

void configuration_lm75(char data)
{
    I2C_Start();
    I2C_Write(0x90);        // Slave address + Write
    I2C_Write(0x01);        // Configuration register address
    I2C_Write(data);        // Data to register
    I2C_Stop();
}

/* Lecture de la temprature */

int acquisition_temperature(void)
{
    int data;
		TH_DATA Temp;
    signed char high, low;
    I2C_Start();
    I2C_Write(0x90);        // Slave address + Write
    I2C_Write(0x00);        // Temperature register address
    I2C_Start();
    I2C_Write(0x90|0x01);   // Slave address + Read
		TH_GetTemp(&Temp);
		
		
    I2C_Stop();

    data = high;
    data *= 10;
    if(low & 0x80)          
        data += 5;
    return data;
}

void DisplayTemp(void)
{
    
		unsigned char strTemp[8];
		int temp;
		temp = acquisition_temperature();    // Leer temperatura
	
		strTemp[0]= temp /100+48;
		strTemp[1]= (temp / 10) % 10 + 48;
		strTemp[2]= (temp % 10) + 48;
		strTemp[3]= '.';
		strTemp[4]=abs(temp %10)+48;
		strTemp[5]='\0';
		
	
		sprintf (StringBuf,"Temp = %s C",strTemp);
		GLCD_DisplayString (3, 6, 1, (unsigned char *)StringBuf);
		
    

    
}

